#ifndef MAIN_PANEL
#define MAIN_PANEL

#include <wx/wx.h>

constexpr int g_Width = 700;
constexpr int g_Heigh = 450;

class CMainPanel : public wxPanel
{
protected:
    wxStaticBox* ui_basic_box_{};
    wxStaticBox* ui_second_box_{};
    wxStaticBoxSizer* ui_box_sizer_{};
    wxStaticText* label_select_{};
    wxBoxSizer* sizer_select_{};
    wxTextCtrl* text_select_ctrl_{};
    wxButton* btn_select_{};

public:
    explicit CMainPanel(wxWindow* parent, wxWindowID id = wxID_ANY, const wxPoint& pos = wxDefaultPosition,
                        const wxSize& size = wxSize(g_Width, g_Heigh), long style = wxTAB_TRAVERSAL, const wxString& name = wxEmptyString);

public:
    void InitPanel();

private:
    void selectBinaryFile(wxCommandEvent& event);
};

#endif